> ## Documentation Index > Fetch the complete documentation index at: https://learn.servitly.com/llms.txt > Use this file to discover all available pages before exploring further. # Get store order by id > Retrieve the store order by id, with its public order number, the buyer, the ordered items and their total price, the shipping location, the installation service flag and the current status.

Required permissions: READ_ORDERS. ## OpenAPI ````json GET /inventory/storeOrders/{orderId} { "openapi": "3.1.0", "info": { "title": "Servitly DPS API", "version": "1.0.0" }, "servers": [ { "url": "https://api.servitly-sandbox.com", "description": "[AWS SANDBOX]" }, { "url": "https://api.servitly.com", "description": "[AWS PRODUCTION Ireland]" }, { "url": "https://api-ap.servitly.com", "description": "[AWS Hong Kong]" }, { "url": "https://azapi.servitly-dev.com", "description": "[AZURE DEV Frankfurt]" }, { "url": "https://azapi.servitly-staging.com", "description": "[AZURE STAGING Frankfurt]" }, { "url": "https://azapi.servitly.com", "description": "[AZURE PRODUCTION Frankfurt]" } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "ACTIONS" }, { "name": "ALERTS" }, { "name": "API GATEWAY" }, { "name": "AUTHENTICATION" }, { "name": "AUTHORIZATIONS" }, { "name": "CUSTOMERS" }, { "name": "DATA IMPORT / EXPORT" }, { "name": "EVENTS" }, { "name": "LOCATIONS" }, { "name": "MAINTENANCE" }, { "name": "MAPPING" }, { "name": "METRIC DATA" }, { "name": "MOBILE APP" }, { "name": "ORGANIZATION" }, { "name": "PARTNERS" }, { "name": "PRODUCT MODELS" }, { "name": "SPARE PARTS" }, { "name": "STATISTICS" }, { "name": "STORE ORDERS" }, { "name": "SUBSCRIPTIONS" }, { "name": "SUBSCRIPTIONS (OLD)" }, { "name": "THING CONTROL" }, { "name": "THING DEFINITIONS" }, { "name": "THING MANAGEMENT" }, { "name": "THINGS" }, { "name": "TICKETS" }, { "name": "USER TYPES" }, { "name": "USERS" }, { "name": "WORK SESSIONS" } ], "paths": { "/inventory/storeOrders/{orderId}": { "get": { "summary": "Get store order by id", "description": "Retrieve the store order by id, with its public order number, the buyer, the ordered items and their total price, the shipping location, the installation service flag and the current status.

Required permissions: READ_ORDERS.", "tags": [ "STORE ORDERS" ], "parameters": [ { "$ref": "#/components/parameters/tenantNameHeader" }, { "$ref": "#/components/parameters/language" }, { "in": "path", "name": "orderId", "required": "true", "schema": { "$ref": "#/components/schemas/ObjectId" }, "description": "The id of the order to retrieve." } ], "responses": { "200": { "description": "Successful operation.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/StoreOrder" } } } }, "401": { "$ref": "#/components/responses/NotAuthenticated" }, "403": { "$ref": "#/components/responses/NotAuthorized" }, "404": { "$ref": "#/components/responses/NotFound" }, "429": { "$ref": "#/components/responses/ApiLimit" }, "500": { "$ref": "#/components/responses/IntError" } } } } }, "components": { "parameters": { "tenantNameHeader": { "in": "header", "name": "X-Servitly-Tenant", "required": "true", "schema": { "type": "string", "example": "{{tenantName}}" }, "description": "The name of the tenant (e.g. acme)." }, "language": { "in": "query", "name": "language", "required": "false", "schema": { "type": "string", "example": "it" }, "description": "The language used for data localization (e.g. EN, ES)." } }, "schemas": { "ObjectId": { "type": "string", "example": "abcd1234", "minimum": "1", "description": "The object identifier (e.g. 6620e4bb42541977c406b984)." }, "StoreOrder": { "type": "object", "properties": { "id": { "type": "string", "example": "691714310c219b1d691be588", "description": "The order internal identifier.", "readOnly": "true" }, "orderNumber": { "type": "string", "example": "ORD-000050", "description": "The order public number." }, "organizationId": { "type": "string", "example": "661533adc04f90248aa739a2", "description": "The id of the organization the order is assigned to." }, "parnterId": { "type": "string", "example": "661533adc04f90248aa739a2", "description": "The id of the partner the order is assigned to." }, "providerName": { "type": "string", "example": "ACME", "description": "The name of the organization or partner the order is assigned to." }, "buyer": { "$ref": "#/components/schemas/OrderBuyer", "description": "The buyer who created the order." }, "items": { "type": "array", "items": { "$ref": "#/components/schemas/OrderItem" }, "description": "The list of items included in the order." }, "total": { "type": "number", "format": "double", "example": "29.8", "description": "The total price of the order included items." }, "installationService": { "type": "boolean", "example": "false", "description": "The flag indicating whether the buyer requests the installation service." }, "shippingLocation": { "$ref": "#/components/schemas/ShippingLocation", "description": "The location details where the order must be shipped." }, "status": { "type": "string", "enum": [ "PENDING_ACCEPTANCE", "PENDING_SHIPPING", "SHIPPED", "DELIVERED" ], "example": "PENDING_SHIPPING", "description": "The order status." }, "lastUpdateTimestamp": { "type": "integer", "format": "int64", "example": "1763120222790", "description": "Unix timestamp in milliseconds representing the last order update time.", "readOnly": "true" }, "creationTimestamp": { "type": "integer", "format": "int64", "example": "1763120177055", "description": "Unix timestamp in milliseconds representing the order creation time.", "readOnly": "true" }, "approvalTimestamp": { "type": "integer", "format": "int64", "nullable": "true", "example": "1763120222790", "description": "Unix timestamp in milliseconds representing the order approval time.", "readOnly": "true" } } }, "OrderBuyer": { "type": "object", "properties": { "name": { "type": "string", "example": "Abon Metal", "description": "The name of the buyer entity (customer or partner)." }, "code": { "type": "string", "example": "C000050", "description": "Public, human-readable identifier for the buyer. Unlike \"id\", which is the immutable internal identifier, \"code\" is exposed externally and can be modified by clients. Must be unique." }, "email": { "type": "string", "format": "email", "example": "buyer@example.com", "description": "The buyer contact email." }, "customerId": { "type": "string", "example": "661fa918281ccf25619dc5cc", "description": "The id of the customer if the buyer is a customer." }, "partnerId": { "type": "string", "example": "661fa918281ccf25619dc5cc", "description": "The id of the partner if the buyer is a partner." } } }, "OrderItem": { "type": "object", "required": [ "type", "name", "code", "quantity", "unitPrice" ], "properties": { "type": { "type": "string", "enum": [ "SPARE_PART" ], "example": "SPARE_PART", "description": "The type of the item." }, "itemId": { "type": "string", "example": "66310cb2d8cab311e86d05d6", "description": "The id of the item (e.g. a spare part)." }, "name": { "type": "string", "example": "Bi-metal band saw blade 8 TPI", "description": "The name of the item." }, "code": { "type": "string", "example": "SP-140506", "description": "The public code of the order item (e.g. spare part serial)." }, "quantity": { "type": "integer", "minimum": "1", "example": "2", "description": "The quantity of the item." }, "unitPrice": { "type": "number", "format": "double", "minimum": "0", "example": "14.9", "description": "The item unit price." } } }, "ShippingLocation": { "type": "object", "required": [ "name", "country", "city", "zipCode", "address" ], "properties": { "name": { "type": "string", "example": "Stretford, Mosley Rd", "description": "The location name." }, "country": { "type": "string", "example": "United Kingdom", "description": "The location country (e.g. UK)." }, "city": { "type": "string", "example": "Stretford", "description": "The location city." }, "zipCode": { "type": "string", "example": "23563", "description": "The location zip code." }, "address": { "type": "string", "example": "Mosley Rd", "description": "The location address." }, "locationId": { "type": "string", "example": "663372d769e1d1672c7595eb", "description": "The location identifier." } } } }, "responses": { "NotAuthenticated": { "description": "User not authenticated.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "User not authenticated" } } } } } }, "NotAuthorized": { "description": "User not authorized.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "User not authorized" } } } } } }, "NotFound": { "description": "Resource was not found.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "Resource not found" } } } } } }, "ApiLimit": { "description": "API call rate limit exceeded.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "API call rate limit exceeded" } } } } } }, "IntError": { "description": "Internal server error.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "Internal Server Error" } } } } } } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer" } } } } ````